org.bouncycastle.asn1.esf

## Class CommitmentTypeIndication

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.esf.CommitmentTypeIndication

All Implemented Interfaces:
  DEREncodable

    public class CommitmentTypeIndication
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`CommitmentTypeIndication(ASN1Sequence seq)`
`CommitmentTypeIndication(DERObjectIdentifier commitmentTypeId)`
`CommitmentTypeIndication(DERObjectIdentifier commitmentTypeId, ASN1Sequence commitmentTypeQualifier)`

### Method Summary

Methods
`DERObjectIdentifier` `getCommitmentTypeId()`
`ASN1Sequence` `getCommitmentTypeQualifier()`
`static CommitmentTypeIndication` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` CommitmentTypeIndication ::= SEQUENCE { commitmentTypeId CommitmentTypeIdentifier, commitmentTypeQualifier SEQUENCE SIZE (1..MAX) OF CommitmentTypeQualifier OPTIONAL }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommitmentTypeIndication

    public CommitmentTypeIndication(ASN1Sequence seq)

#### CommitmentTypeIndication

    public CommitmentTypeIndication(DERObjectIdentifier commitmentTypeId)

#### CommitmentTypeIndication

    public CommitmentTypeIndication(DERObjectIdentifier commitmentTypeId,
                            ASN1Sequence commitmentTypeQualifier)

### Method Detail

#### getInstance

    public static CommitmentTypeIndication getInstance(java.lang.Object obj)

#### getCommitmentTypeId

    public DERObjectIdentifier getCommitmentTypeId()

#### getCommitmentTypeQualifier

    public ASN1Sequence getCommitmentTypeQualifier()

#### toASN1Object

    public DERObject toASN1Object()

     CommitmentTypeIndication ::= SEQUENCE {
          commitmentTypeId   CommitmentTypeIdentifier,
          commitmentTypeQualifier   SEQUENCE SIZE (1..MAX) OF
                  CommitmentTypeQualifier OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`